function Car(game, x, y, frame) {  
  Phaser.Sprite.call(this, game, x, y, 'car', frame);

  /// set the sprite's anchor to the center
  this.anchor.setTo(0.5, 0.5);
  
  this.isHandbrake = false;
  this.startPos = {
    x:900,
    y:320,
    rotation:0
  };
  this.DEGREE_TO_RADIANS = Math.PI/180.0;
  this.speed = 0;


  this.game.physics.arcade.enable(this);
  this.body.collideWorldBounds = true;

  this.body.maxVelocity.set(399);
  this.body.height = this.body.width = 40;

  this.resetStartPosition();

}

Car.prototype = Object.create(Phaser.Sprite.prototype);  
Car.prototype.constructor = Car;

Car.prototype.update = function() {

};  

Car.prototype.resetStartPosition = function() {
  console.log(this.startPos);
  this.x = this.startPos.x;
  this.y = this.startPos.y;
  this.rotation = this.myRotation = this.startPos.rotation;
}

  
Car.prototype.brake = function(){
  
  
}

Car.prototype.steerLeft = function(){
 
}

Car.prototype.steerRight = function(){
 
}

Car.prototype.accel = function(){
 
}

Car.prototype.drive = function(){
  
  if(!this.isHandbrake){
    //  this.myRotation = wie ist das Bild rotiert?
  }else{
    this.slowDown = 11;
  }
  
  this.slowDown = 8;
  
  //Wenn die absolute aktuelle Geschwindigkeit einen bestimmten Wert (z.B. SLOW_DOWN)
  //unterschreitet (also egal, ob vor- oder rückwärts), soll die aktuelle Geschwindigkeit
  //auf 0 gesetzt werden, ansonsten soll die Geschwindigkeit um einen kleinen Wert (slowDown)
  //verringert (vorwärts) bzw. erhöht (rückwärts) werden
  //...
  //...
  //...
  
  this.body.velocity.x = this.speed*Math.cos(this.myRotation*this.DEGREE_TO_RADIANS);
  this.body.velocity.y = this.speed*Math.sin(this.myRotation*this.DEGREE_TO_RADIANS);

} 